package webdb53.tinycal.action;

import java.util.HashMap;
import java.util.Map;

import org.seasar.cubby.action.ActionErrors;
import org.seasar.cubby.action.ActionResult;
import org.seasar.cubby.action.Json;
import org.seasar.cubby.spi.ContainerProvider;
import org.seasar.cubby.spi.ProviderFactory;
import org.seasar.cubby.spi.container.Container;
import org.seasar.cubby.validator.DefaultValidationRules;

public class JsonSupportedValidationRules extends DefaultValidationRules {
	
	public JsonSupportedValidationRules(String resourceKeyPrefix) {
		super(resourceKeyPrefix);
	}

	@Override
	public ActionResult fail(String errorPage) {
		ContainerProvider containerProvider = ProviderFactory.get(ContainerProvider.class);
		Container container = containerProvider.getContainer();
		ActionErrors errors = container.lookup(ActionErrors.class);
		Map<String, Object> result = new HashMap<String, Object>();
		result.put("status", "error");
		result.put("errors", errors.getAll());
		return new Json(result);
	}
}
