package webdb53.tinycal.service;

import java.util.Date;
import java.util.List;

import org.seasar.extension.jdbc.JdbcManager;
import org.seasar.framework.container.annotation.tiger.Binding;

import webdb53.tinycal.entity.Schedule;

public class ScheduleService {
	
	@Binding
	public JdbcManager jdbcManager;
	
	public List<Schedule> findByDate(Date from, Date to) {
		return jdbcManager.from(Schedule.class).where("datetime >= ? AND datetime < ?", from, to).getResultList();
	}

	public void update(Schedule schedule) {
		if (schedule.getId() == null) {
			jdbcManager.insert(schedule).execute();
		} else {
			jdbcManager.update(schedule).execute();
		}
	}

	public void remove(Integer id) {
		Schedule schedule = new Schedule();
		schedule.setId(id);
		jdbcManager.delete(schedule).execute();
	}
}